#
# program to plot a scan of admittance vs frequency
# 
#
# Jim Koehler, Comox, December 2017
#
#

# usage, called  by:
#
# gnuplot -c admitplot_l.gp centre_f a b c a1 b1
#
# where centre_f is the central frequency in Hz,
#
set terminal push
set terminal png
set output "adm.png"
unset logscale y
unset logscale x
set grid mxtics mytics xtics ytics
#set grid
#unset xrange
set y2range [-1.5:1.5]
set title "Admittance vs Frequency"
set ylabel "Siemens"
set y2label "Radians"
set xlabel "Frequency in Hz"
plot "adm.txt" u ($1 - ARG1):2 axes x1y1 w lines t "G" lt rgb "black", \
"" u ($1 - ARG1):4 axes x1y2 w lines t "Phase" lt rgb "red"
set terminal pop

